summaryrefslogtreecommitdiff
path: root/libre/virtualbox-libre/virtualbox-libre-host-dkms.install
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@lavabit.com>2012-12-27 08:17:08 -0200
committerAndré Fabian Silva Delgado <emulatorman@lavabit.com>2012-12-27 08:17:08 -0200
commit32733a46c074ea0767bb1addd57a438317ccf81f (patch)
treebc17f18658a609fa39828d138e7cf6e7c56178eb /libre/virtualbox-libre/virtualbox-libre-host-dkms.install
parentc71421e6252a7f06a8999ef564299afdfb020fa5 (diff)
downloadabslibre-32733a46c074ea0767bb1addd57a438317ccf81f.tar.gz
abslibre-32733a46c074ea0767bb1addd57a438317ccf81f.tar.bz2
abslibre-32733a46c074ea0767bb1addd57a438317ccf81f.zip
virtualbox-libre-4.2.6-1: changing file names
Diffstat (limited to 'libre/virtualbox-libre/virtualbox-libre-host-dkms.install')
-rw-r--r--libre/virtualbox-libre/virtualbox-libre-host-dkms.install30
1 files changed, 30 insertions, 0 deletions
diff --git a/libre/virtualbox-libre/virtualbox-libre-host-dkms.install b/libre/virtualbox-libre/virtualbox-libre-host-dkms.install
new file mode 100644
index 000000000..8028cb7e0
--- /dev/null
+++ b/libre/virtualbox-libre/virtualbox-libre-host-dkms.install
@@ -0,0 +1,30 @@
+#/bin/sh
+
+# arg 1: the new package version
+post_install() {
+ dkms add vboxhost/${1%-*}
+ cat << EOF
+==> To build and install your modules run dkms install vboxhost/${1%-*}
+==> To do this automatically at startup you can add dkms in your DAEMONS
+EOF
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+pre_upgrade() {
+ pre_remove "$2"
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install "$1"
+}
+
+# arg 1: the old package version
+pre_remove() {
+ # Remove modules using dkms
+ [ -n "${1%-*}" ] && dkms remove vboxhost/${1%-*} --all >/dev/null || true
+}
+
+# vim:set ts=2 sw=2 ft=sh et: